<?php

namespace Luticate\Auth\Controller;

use Luticate\Utils\LuController;
use Luticate\Auth\Business\LuticatePermissionsGroupsBusiness;
use Luticate\Auth\DBO\LuticatePermissionsGroupsDbo;

class LuticatePermissionsGroupsController extends LuController {
    protected function getBusiness()
    {
        return new LuticatePermissionsGroupsBusiness();
    }

    public function get($group_id, $permission_name)
    {
        return LuticatePermissionsGroupsBusiness::get($group_id, $permission_name);
    }

    public function add($group_id, $permission_name, $permission_value)
    {
        return LuticatePermissionsGroupsBusiness::add($group_id, $permission_name, $permission_value);
    }

    public function del($group_id, $permission_name)
    {
        return LuticatePermissionsGroupsBusiness::del($group_id, $permission_name);
    }

    public function edit($group_id, $permission_name, $permission_value)
    {
        return LuticatePermissionsGroupsBusiness::edit($group_id, $permission_name, $permission_value);
    }
}