<?php

namespace Luticate\Auth\Controller;

use Luticate\Utils\LuController;
use Luticate\Auth\Business\LuticatePermissionsUsersBusiness;
use Luticate\Auth\DBO\LuticatePermissionsUsersDbo;

class LuticatePermissionsUsersController extends LuController {
    protected function getBusiness()
    {
        return new LuticatePermissionsUsersBusiness();
    }

    public function get($user_id, $permission_name)
    {
        return LuticatePermissionsUsersBusiness::get($user_id, $permission_name);
    }

    public function add($user_id, $permission_name, $permission_value)
    {
        return LuticatePermissionsUsersBusiness::add($user_id, $permission_name, $permission_value);
    }

    public function del($user_id, $permission_name)
    {
        return LuticatePermissionsUsersBusiness::del($user_id, $permission_name);
    }

    public function edit($user_id, $permission_name, $permission_value)
    {
        return LuticatePermissionsUsersBusiness::edit($user_id, $permission_name, $permission_value);
    }
}