<?php

namespace Luticate\Auth\Controller;

use Luticate\Utils\LuController;
use Luticate\Auth\Business\LuticateGroupsBusiness;
use Luticate\Auth\DBO\LuticateGroupsDbo;

class LuticateGroupsController extends LuController {
    protected function getBusiness()
    {
        return new LuticateGroupsBusiness();
    }

    public function getById($group_id)
    {
        return LuticateGroupsBusiness::getById($group_id);
    }

    public function add($group_name)
    {
        return LuticateGroupsBusiness::add($group_name);
    }

    public function del($group_id)
    {
        return LuticateGroupsBusiness::del($group_id);
    }

    public function edit($group_id, $group_name)
    {
        return LuticateGroupsBusiness::edit($group_id, $group_name);
    }

    public function addUser($user_id, $group_id)
    {
        return LuticateGroupsBusiness::addUser($user_id, $group_id);
    }

    public static function delUser($user_id, $group_id)
    {
        return LuticateGroupsBusiness::delUser($user_id, $group_id);
    }
}