<?php

namespace Luticate\Auth\Controller;

use Luticate\Utils\LuController;
use Luticate\Auth\Business\LuticatePermissionsBusiness;
use Luticate\Auth\DBO\LuticatePermissionsDbo;

class LuticatePermissionsController extends LuController {
    protected function getBusiness()
    {
        return new LuticatePermissionsBusiness();
    }

    public function getEffectivePermission($user_id, $permission_name)
    {
        return LuticatePermissionsBusiness::getEffectivePermission($user_id, $permission_name);
    }

    public function getEffectivePermissionMe($_user, $permission_name)
    {
        return LuticatePermissionsBusiness::getEffectivePermissionMe($_user, $permission_name);
    }

    public function get($permission_name)
    {
        return LuticatePermissionsBusiness::get($permission_name);
    }

    public function add($permission_name, $permission_value)
    {
        return LuticatePermissionsBusiness::add($permission_name, $permission_value);
    }

    public function del($permission_name)
    {
        return LuticatePermissionsBusiness::del($permission_name);
    }

    public function edit($permission_name, $permission_value)
    {
        return LuticatePermissionsBusiness::edit($permission_name, $permission_value);
    }
}